unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, IBConnection, SQLDB, DB, Forms, Controls, Graphics,
  Dialogs, StdCtrls, DBGrids, ComCtrls, SynEdit, SynHighlighterSQL,
  LCLTranslator, Translations,
  GenerateSQLDlg;

type

  { TForm1 }

  TForm1 = class(TForm)
    Button3: TButton;
    IBConnection1: TIBConnection;
    Label1: TLabel;
    SQLQuery1: TSQLQuery;
    SQLTransaction1: TSQLTransaction;
    SynEdit1: TSynEdit;
    SynSQLSyn1: TSynSQLSyn;
    TabControl1: TTabControl;
    procedure Button3Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure TabControl1Change(Sender: TObject);
  private
    GenerateSQLForm: TGenerateSQLForm;

  public

  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.Button3Click(Sender: TObject);
begin
  SQLQuery1.Close;

  if GenerateSQLForm = nil then
  begin
    GenerateSQLForm := TGenerateSQLForm.Create(self);
    GenerateSQLForm.Connection := IBConnection1;
    GenerateSQLForm.Dataset := SQLQuery1;
    GenerateSQLForm.TableName := 'EMPLOYEE';
  end;

  if GenerateSQLForm.ShowModal = mrOK then
    TabControl1Change(nil);

end;

procedure TForm1.FormCreate(Sender: TObject);
var
  langdir: String;
  lang: String;
begin
  langdir := Application.Location;
  lang := 'de';
  if (ParamCount > 0) and (ParamStr(1) = 'en') then lang := 'en';
  SetDefaultLang(lang, langDir);
  TranslateUnitResourceStrings('sqldbstrconst', 'sqldbstrconst.' + lang + '.po');
  IBConnection1.DatabaseName := 'employee.fdb';
  //IBConnection1.Connected := true;
  //SQLQuery1.Open;
end;

procedure TForm1.TabControl1Change(Sender: TObject);
begin
  if GenerateSQLForm = nil then
    exit;
  case TabControl1.TabIndex of
    0: SynEdit1.Lines.Assign(GenerateSQLForm.SelectSQL);
    1: SynEdit1.Lines.Assign(GenerateSQLForm.InsertSQL);
    2: SynEdit1.Lines.Assign(GenerateSQLForm.UpdateSQL);
    3: SynEdit1.Lines.Assign(GenerateSQLForm.DeleteSQL);
    4: SynEdit1.Lines.Assign(GenerateSQLForm.RefreshSQL);
  end;
end;

end.

